*Replication Project
*EW-regret
*UW-Madison in-person data (Dec 2021)
clear

insheet using "UWMadison_InPerson_EWK_Dec_2021.csv"

rename stepgrouploop round


gen treatmentL=1

replace treatmentL=0 if treatment=="B"


tabstat round if round==100, by(treatment) stat(count)
*******35 subjects in Both treatment, 32 subjects in L treatment******


gen ratio = mybid / myval

gen round1to10=1

replace round1to10=0 if round >10 & round <=20
replace round1to10=0 if round >30 & round <=40
replace round1to10=0 if round >50 & round <=60
replace round1to10=0 if round >70 & round <=80
replace round1to10=0 if round >90 & round <=100



********* create DV and run t-test ************
preserve
collapse (mean) avgratio=ratio treatment=treatmentL, by(participant)
ttest avgratio, by(treatment)
restore

preserve
collapse (mean) avgratio=ratio treatment=treatmentL if round1to10==0, by(participant)
ttest avgratio, by(treatment)
restore
